From: "Michael Haubenwallner" <haubi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/mico/
Date: Mon, 2 Oct 2017 11:23:44 +0000 (UTC) [thread overview]
Message-ID: <1506943401.d63834bbdc7a999a0447f659d5aa9a9097556c8c.haubi@gentoo> (raw)
commit: d63834bbdc7a999a0447f659d5aa9a9097556c8c
Author: Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 2 11:23:02 2017 +0000
Commit: Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
CommitDate: Mon Oct 2 11:23:21 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d63834bb
net-misc/mico: avoid file collision with net-misc/eventd, bug#632170
Closes: https://bugs.gentoo.org/632170
Package-Manager: Portage-2.3.8, Repoman-2.3.1
.../{mico-9999.ebuild => mico-2.3.13-r10.ebuild} | 22 ++++++++++++++++------
net-misc/mico/mico-9999.ebuild | 7 +++++++
2 files changed, 23 insertions(+), 6 deletions(-)
diff --git a/net-misc/mico/mico-9999.ebuild b/net-misc/mico/mico-2.3.13-r10.ebuild
similarity index 84%
copy from net-misc/mico/mico-9999.ebuild
copy to net-misc/mico/mico-2.3.13-r10.ebuild
index 7cf32aaacff..024721e397f 100644
--- a/net-misc/mico/mico-9999.ebuild
+++ b/net-misc/mico/mico-2.3.13-r10.ebuild
@@ -26,7 +26,7 @@ DESCRIPTION="A freely available and fully compliant implementation of the CORBA
HOMEPAGE="http://www.mico.org/"
LICENSE="GPL-2 LGPL-2"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-winnt"
IUSE="gtk postgres qt4 ssl tcl threads X"
RESTRICT="test" #298101
@@ -58,7 +58,6 @@ fi
src_prepare() {
default
- mv configure.in configure.ac || die #426262
eautoreconf
# cannot use big TOC (AIX only), gdb doesn't like it.
@@ -75,6 +74,11 @@ src_prepare() {
src_configure() {
tc-export CC CXX
+ if use gtk && [[ -n ${PATCH_VER} ]]; then
+ # need gtk-1 wrapper for gtk-2
+ export PATH="${WORKDIR}"/helpers:${PATH}
+ fi
+
# Don't know which version of JavaCUP would suffice, but there is no
# configure argument to disable checking for JavaCUP.
# So we override the configure check to not find 'javac'.
@@ -97,7 +101,8 @@ src_configure() {
# '--without-*' or '--with-*=no' does not disable some features,
# the value needs to be empty instead.
- # This applies to: pgsql, qt, tcl, bluetooth.
+ # This applies to: gtk, pgsql, qt, tcl, bluetooth.
+ myconf --with-gtk=$( use gtk && echo "${EPREFIX}"/usr)
myconf --with-pgsql=$(use postgres && echo "${EPREFIX}"/usr)
myconf --with-qt=$( use qt4 && echo "${EPREFIX}"/usr)
myconf --with-tcl=$( use tcl && echo "${EPREFIX}"/usr)
@@ -106,8 +111,6 @@ src_configure() {
myconf --disable-wireless
# But --without-x works.
myconf $(use_with X x "${EPREFIX}"/usr)
- # Same for gtk after patch 013, searches for gtk release.
- myconf $(use_with gtk gtk 2)
# http://www.mico.org/pipermail/mico-devel/2009-April/010285.html
[[ ${CHOST} == *-hpux* ]] && append-cppflags -D_XOPEN_SOURCE_EXTENDED
@@ -134,16 +137,23 @@ src_install() {
mv "${ED}"usr/bin/{,mico-}nsd || die
mv "${ED}"usr/man/man8/{,mico-}nsd.8 || die
+ # avoid conflict with net-misc/eventd, bug#632170
+ mv "${ED}"usr/bin/{,mico-}eventd || die
+
dodir /usr/share
mv "${ED}"usr/man "${ED}"usr/share || die
dodir /usr/share/doc/${PF}
mv "${ED}"usr/doc "${ED}"usr/share/doc/${PF} || die
- dodoc BUGS CHANGES* CONVERT README* ROADMAP TODO VERSION WTODO
+ dodoc BUGS CHANGES* CONVERT FAQ README* ROADMAP TODO VERSION WTODO
}
pkg_postinst() {
einfo "The MICO Name Service daemon 'nsd' is named 'mico-nsd'"
einfo "due to a name conflict with net-dns/nsd. For details"
einfo "please refer to https://bugs.gentoo.org/544488."
+ einfo
+ einfo "The MICO Event daemon 'eventd' is named 'mico-eventd'"
+ einfo "due to a name conflict with net-misc/eventd. For details"
+ einfo "please refer to https://bugs.gentoo.org/632170."
}
diff --git a/net-misc/mico/mico-9999.ebuild b/net-misc/mico/mico-9999.ebuild
index 7cf32aaacff..7012727c9d6 100644
--- a/net-misc/mico/mico-9999.ebuild
+++ b/net-misc/mico/mico-9999.ebuild
@@ -134,6 +134,9 @@ src_install() {
mv "${ED}"usr/bin/{,mico-}nsd || die
mv "${ED}"usr/man/man8/{,mico-}nsd.8 || die
+ # avoid conflict with net-misc/eventd, bug#632170
+ mv "${ED}"usr/bin/{,mico-}eventd || die
+
dodir /usr/share
mv "${ED}"usr/man "${ED}"usr/share || die
dodir /usr/share/doc/${PF}
@@ -146,4 +149,8 @@ pkg_postinst() {
einfo "The MICO Name Service daemon 'nsd' is named 'mico-nsd'"
einfo "due to a name conflict with net-dns/nsd. For details"
einfo "please refer to https://bugs.gentoo.org/544488."
+ einfo
+ einfo "The MICO Event daemon 'eventd' is named 'mico-eventd'"
+ einfo "due to a name conflict with net-misc/eventd. For details"
+ einfo "please refer to https://bugs.gentoo.org/632170."
}
next reply other threads:[~2017-10-02 11:23 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-10-02 11:23 Michael Haubenwallner [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-29 18:21 [gentoo-commits] repo/gentoo:master commit in: net-misc/mico/ Sam James
2021-07-25 1:29 Sam James
2021-06-20 9:12 David Seifert
2021-04-23 6:53 Michael Haubenwallner
2020-12-27 17:57 Fabian Groffen
2019-06-12 11:19 Michael Haubenwallner
2019-06-06 16:49 Andreas Sturmlechner
2019-06-04 11:35 Michael Haubenwallner
2019-06-03 16:11 Michael Haubenwallner
2019-05-29 10:03 Michał Górny
2019-05-29 7:38 Michael Haubenwallner
2019-05-28 8:33 Michael Haubenwallner
2019-05-17 12:01 Michael Haubenwallner
2018-03-17 9:51 Andreas Sturmlechner
2018-03-15 22:27 Andreas Sturmlechner
2018-03-15 22:27 Andreas Sturmlechner
2017-06-16 19:57 Andreas Hüttel
2017-05-29 13:44 Michael Haubenwallner
2017-05-29 13:44 Michael Haubenwallner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1506943401.d63834bbdc7a999a0447f659d5aa9a9097556c8c.haubi@gentoo \
--to=haubi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox